2

I'm trying to install CouchDB using Homebrew but it gives me the following error:

Error: couchdb dependency spidermonkey was built with the following
C++ standard library: libstdc++ (from clang)

This is incompatible with the standard library being used
to build couchdb: libc++ (from clang)

Please reinstall spidermonkey using a compatible compiler.
hint: Check https://github.com/mxcl/homebrew/wiki/C++-Standard-Libraries

I went to the given URL and yes: I am on Mavericks GM. I tried a complete reinstall of homebrew but that still gives me the same error.

But how can I reinstall Spidermonkey with libc++?

  • I think you need to ask the person who set up the homebrew receipe (I know the issues with Macports re the two std C++ libraries andI would guess this is similar) – Mark Oct 22 '13 at 22:45
2

I have filed a bug report on the homebrew project. The problem is fixed now.

0

I'm not familiar with those specific packages, but based on similar experience with other packages, I'd do

brew rm spidermonkey
brew install spidermonkey

and then try to install couchdb again.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .